org.apache.poi.hslf.record

## Class UserEditAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.PositionDependentRecordAtom
      - - org.apache.poi.hslf.record.UserEditAtom

- All Implemented Interfaces:
    GenericRecord, PositionDependentRecord

      public final class UserEditAtom
      extends PositionDependentRecordAtom

  A UserEdit Atom (type 4085). Holds information which bits of the file were last used by powerpoint, the version of powerpoint last used etc. ** WARNING ** stores byte offsets from the start of the PPT stream to other records! If you change the size of any elements before one of these, you'll need to update the offsets!

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LAST_VIEW_NONE`
    `static int` | `LAST_VIEW_NOTES`
    `static int` | `LAST_VIEW_OUTLINE_VIEW`
    `static int` | `LAST_VIEW_SLIDE_VIEW`

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `UserEditAtom(byte[] source, int start, int len)` For the UserEdit Atom

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDocPersistRef()`
    `int` | `getEncryptSessionPersistIdRef()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `getLastUserEditAtomOffset()`
    `int` | `getLastViewedSlideID()`
    `short` | `getLastViewType()`
    `int` | `getMaxPersistWritten()`
    `int` | `getPersistPointersOffset()`
    `long` | `getRecordType()` We are of type 4085
    `void` | `setEncryptSessionPersistIdRef(int id)`
    `void` | `setLastUserEditAtomOffset(int offset)`
    `void` | `setLastViewType(short type)`
    `void` | `setMaxPersistWritten(int max)`
    `void` | `setPersistPointersOffset(int offset)`
    `void` | `updateOtherRecordReferences(java.util.Map<java.lang.Integer,java.lang.Integer> oldToNewReferencesLookup)` At write-out time, update the references to PersistPtrs and other UserEditAtoms to point to their new positions
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.PositionDependentRecordAtom

      `getLastOnDiskOffset, setLastOnDiskOffset`

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LAST_VIEW_NONE

          public static final int LAST_VIEW_NONE

      See Also:
        Constant Field Values

    - #### LAST_VIEW_SLIDE_VIEW

          public static final int LAST_VIEW_SLIDE_VIEW

      See Also:
        Constant Field Values

    - #### LAST_VIEW_OUTLINE_VIEW

          public static final int LAST_VIEW_OUTLINE_VIEW

      See Also:
        Constant Field Values

    - #### LAST_VIEW_NOTES

          public static final int LAST_VIEW_NOTES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UserEditAtom

          protected UserEditAtom(byte[] source,
                                 int start,
                                 int len)

      For the UserEdit Atom

  - ### Method Detail

    - #### getLastViewedSlideID

          public int getLastViewedSlideID()

    - #### getLastViewType

          public short getLastViewType()

    - #### getLastUserEditAtomOffset

          public int getLastUserEditAtomOffset()

    - #### getPersistPointersOffset

          public int getPersistPointersOffset()

    - #### getDocPersistRef

          public int getDocPersistRef()

    - #### getMaxPersistWritten

          public int getMaxPersistWritten()

    - #### getEncryptSessionPersistIdRef

          public int getEncryptSessionPersistIdRef()

    - #### setLastUserEditAtomOffset

          public void setLastUserEditAtomOffset(int offset)

    - #### setPersistPointersOffset

          public void setPersistPointersOffset(int offset)

    - #### setLastViewType

          public void setLastViewType(short type)

    - #### setMaxPersistWritten

          public void setMaxPersistWritten(int max)

    - #### setEncryptSessionPersistIdRef

          public void setEncryptSessionPersistIdRef(int id)

    - #### getRecordType

          public long getRecordType()

      We are of type 4085
      Specified by:
        `getRecordType` in class `Record`

    - #### updateOtherRecordReferences

          public void updateOtherRecordReferences(java.util.Map<java.lang.Integer,java.lang.Integer> oldToNewReferencesLookup)

      At write-out time, update the references to PersistPtrs and other UserEditAtoms to point to their new positions
      Specified by:
        `updateOtherRecordReferences` in interface `PositionDependentRecord`
      Specified by:
        `updateOtherRecordReferences` in class `PositionDependentRecordAtom`

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.